import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxPagellaFont } from '../../chtml.js';
MathJaxPagellaFont.dynamicSetup('', 'calligraphic', AddFontIds({
    'C': {
        '-tex-calligraphic': {
            0x41: [.722, .05, .798],
            0x42: [.706, .022, .656, { ic: .009 }],
            0x43: [.705, .024, .526, { ic: .008 }],
            0x44: [.683, 0, .771],
            0x45: [.705, .022, .527, { ic: .038 }],
            0x46: [.684, .032, .719, { ic: .111 }],
            0x47: [.705, .119, .594, { ic: .007 }],
            0x48: [.683, .049, .844],
            0x49: [.683, 0, .544, { ic: .091 }],
            0x4A: [.683, .119, .677, { ic: .163 }],
            0x4B: [.705, .022, .761],
            0x4C: [.705, .022, .689],
            0x4D: [.705, .05, 1.2],
            0x4E: [.775, .05, .82, { ic: .158 }],
            0x4F: [.705, .022, .796],
            0x50: [.683, .05, .695, { ic: .038 }],
            0x51: [.705, .124, .816],
            0x52: [.683, .022, .847],
            0x53: [.705, .022, .605, { ic: .037 }],
            0x54: [.717, .068, .544, { ic: .29 }],
            0x55: [.683, .028, .625, { ic: .063 }],
            0x56: [.683, .045, .612, { ic: .048 }],
            0x57: [.683, .045, .987, { ic: .049 }],
            0x58: [.683, 0, .713, { ic: .095 }],
            0x59: [.683, .135, .668, { ic: .049 }],
            0x5A: [.683, 0, .724, { ic: .043 }]
        }
    },
    'CB': {
        '-tex-bold-calligraphic': {
            0x41: [.745, .049, .92, { ic: .049 }],
            0x42: [.705, .017, .747],
            0x43: [.703, .02, .612],
            0x44: [.686, 0, .892],
            0x45: [.703, .017, .606, { ic: .021 }],
            0x46: [.686, .031, .814, { ic: .116 }],
            0x47: [.703, .114, .681],
            0x48: [.686, .048, .987],
            0x49: [.686, 0, .642, { ic: .098 }],
            0x4A: [.686, .114, .779, { ic: .159 }],
            0x4B: [.703, .017, .871],
            0x4C: [.703, .017, .788],
            0x4D: [.703, .049, 1.377],
            0x4E: [.825, .049, .937, { ic: .167 }],
            0x4F: [.703, .017, .905],
            0x50: [.686, .061, .809, { ic: .037 }],
            0x51: [.703, .14, .939],
            0x52: [.686, .017, .989],
            0x53: [.703, .017, .696, { ic: .025 }],
            0x54: [.72, .069, .644, { ic: .304 }],
            0x55: [.686, .024, .714, { ic: .058 }],
            0x56: [.686, .069, .737, { ic: .039 }],
            0x57: [.686, .069, 1.168, { ic: .04 }],
            0x58: [.686, 0, .816, { ic: .091 }],
            0x59: [.686, .156, .758, { ic: .042 }],
            0x5A: [.686, 0, .818, { ic: .036 }]
        }
    }
}, 'GP'));
//# sourceMappingURL=calligraphic.js.map