import { AddFontIds } from 'mathjax-full/mjs/output/chtml/DynamicFonts.js';
import { MathJaxPagellaFont } from '../../chtml.js';
MathJaxPagellaFont.dynamicSetup('', 'shapes', AddFontIds({
    'SH': {
        'normal': {
            0x2500: [.28, -.22, .6],
            0x2502: [.65, .15, .6],
            0x250C: [.28, .15, .6],
            0x2510: [.28, .15, .6],
            0x2514: [.65, -.22, .6],
            0x2518: [.65, -.22, .6],
            0x251C: [.65, .15, .6],
            0x2524: [.65, .15, .6],
            0x252C: [.28, .15, .6],
            0x2534: [.65, -.22, .6],
            0x253C: [.65, .15, .6],
            0x2581: [.088, 0, .7],
            0x2588: [.7, 0, .7],
            0x2591: [.7, 0, .7],
            0x2592: [.7, 0, .7],
            0x2593: [.7, 0, .7],
            0x25AC: [.4, -.1, .76],
            0x25AD: [.4, -.1, .76],
            0x2660: [.668, 0, .8],
            0x2661: [.666, 0, .76],
            0x2662: [.67, 0, .746],
            0x2663: [.668, 0, .842],
            0x2664: [.668, 0, .8],
            0x2665: [.666, 0, .76],
            0x2666: [.67, 0, .746],
            0x2667: [.668, 0, .842],
            0x266A: [.692, .02, .6],
            0x266D: [.65, .038, .47],
            0x266E: [.65, .15, .44],
            0x266F: [.684, .184, .56],
            0x26AD: [.475, -.026, .5, { ic: .116 }],
            0x26AE: [.699, .199, .5, { ic: .17 }],
            0x2713: [.65, 0, .86],
            0x2720: [.662, .006, .828],
            0x27A1: [.45, -.05, .995],
            0x2B1A: [.66, .16, .94]
        }
    },
    'SHB': {
        'bold': {
            0x2500: [.295, -.205, .6],
            0x2502: [.65, .15, .6],
            0x250C: [.295, .15, .6],
            0x2510: [.295, .15, .6],
            0x2514: [.65, -.205, .6],
            0x2518: [.65, -.205, .6],
            0x251C: [.65, .15, .6],
            0x2524: [.65, .15, .6],
            0x252C: [.295, .15, .6],
            0x2534: [.65, -.205, .6],
            0x253C: [.65, .15, .6],
            0x25AC: [.4, -.1, .76],
            0x25AD: [.4, -.1, .76],
            0x2660: [.67, 0, .808],
            0x2661: [.664, 0, .76],
            0x2662: [.67, 0, .743],
            0x2663: [.668, 0, .91],
            0x2664: [.67, 0, .808],
            0x2665: [.664, 0, .76],
            0x2666: [.67, 0, .743],
            0x2667: [.668, 0, .91],
            0x266A: [.681, .017, .6],
            0x266D: [.65, .044, .507],
            0x266E: [.65, .15, .456],
            0x266F: [.684, .184, .56],
            0x26AD: [.477, -.023, .5, { ic: .121 }],
            0x26AE: [.704, .204, .5, { ic: .174 }],
            0x2713: [.65, 0, .88],
            0x2720: [.639, .006, .805],
            0x27A1: [.49, -.01, 1.04],
            0x2B1A: [.69, .19, 1.06]
        }
    },
    '': {
        'italic': {
            0x266A: [.692, .02, .6, { ic: .008 }],
            0x26AD: [.481, -.019, .5, { ic: .176 }],
            0x26AE: [.712, .212, .5, { ic: .229 }]
        },
        'bold-italic': {
            0x266A: [.681, .017, .6],
            0x26AD: [.476, -.024, .5, { ic: .167 }],
            0x26AE: [.702, .202, .5, { ic: .221 }]
        }
    }
}, 'GP'), {}, ['MJX-GP-SH', 'MJX-GP-SHB']);
//# sourceMappingURL=shapes.js.map