"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicFonts_js_1 = require("mathjax-full/cjs/output/chtml/DynamicFonts.js");
var chtml_js_1 = require("../../chtml.js");
chtml_js_1.MathJaxPagellaFont.dynamicSetup('', 'accents-b-i', (0, DynamicFonts_js_1.AddFontIds)({
    'ACB': {
        'bold': {
            0xB8: [.007, .225, .333],
            0x2BE: [.666, -.325, .359],
            0x2BF: [.666, -.325, .359],
            0x2DB: [.014, .25, .333],
            0x2DD: [.692, -.507, .333, { ic: .127 }],
            0x309: [.714, -.525, 0, { dx: .249 }],
            0x30B: [.692, -.507, 0, { dx: .169 }],
            0x30F: [.692, -.507, 0, { dx: .33 }],
            0x311: [.681, -.518, 0, { dx: .249 }],
            0x323: [-.078, .212, 0, { dx: .133 }],
            0x326: [-.066, .258, 0, { dx: .274 }],
            0x327: [.007, .225, 0, { dx: .23 }],
            0x328: [.014, .25, 0, { dx: .249 }],
            0x32C: [-.073, .216, 0, { dx: .25 }],
            0x32D: [-.073, .216, 0, { dx: .249 }],
            0x32E: [-.078, .211, 0, { dx: .249 }],
            0x32F: [-.078, .211, 0, { dx: .249 }],
            0x330: [-.082, .208, 0, { dx: .249 }],
            0x331: [-.109, .18, 0, { dx: .249 }],
            0x332: [-.06, .132, 0, { dx: .249 }],
            0x333: [-.06, .264, 0, { dx: .249 }],
            0x33F: [.812, -.608, 0, { dx: .249 }],
            0x34D: [-.098, .314, 0, { dx: .25 }],
            0x361: [.701, -.557, .277, { ic: .204 }],
            0x20D3: [.5, 0, 0],
            0x20D4: [.884, -.656, 0, { dx: .25 }],
            0x20D5: [.884, -.656, 0, { dx: .25 }],
            0x20D8: [.42, -.08, 0],
            0x20DD: [.668, .168, 0],
            0x20DE: [.65, .15, 0],
            0x20DF: [.84, .34, 0],
            0x20E4: [.705, .228, 0],
            0x20E5: [.65, .15, 0],
            0x20E6: [.65, .15, 0],
            0x20E8: [-.06, .2, 0, { dx: .25 }],
            0x20E9: [.792, -.661, 0, { dx: .25 }],
            0x20EA: [.43, -.07, 0],
            0x20EB: [.65, .15, 0],
            0x20F0: [.802, -.522, 0, { dx: .247 }]
        }
    },
    'ACI': {
        'italic': {
            0xB8: [.005, .216, .333],
            0x2BE: [.68, -.335, .325, { ic: .038 }],
            0x2BF: [.68, -.335, .325, { ic: .038 }],
            0x2DB: [.015, .25, .333],
            0x2DD: [.7, -.531, .333, { ic: .106 }],
            0x309: [.726, -.546, 0, { dx: .103 }],
            0x30B: [.7, -.531, 0, { dx: .081 }],
            0x30F: [.7, -.531, 0, { dx: .152 }],
            0x311: [.696, -.537, 0, { dx: .136 }],
            0x323: [-.1, .208, 0, { dx: .249 }],
            0x326: [-.06, .276, 0, { dx: .268 }],
            0x327: [.005, .216, 0, { dx: .291 }],
            0x328: [.015, .25, 0, { dx: .251 }],
            0x32C: [-.085, .222, 0, { dx: .223 }],
            0x32D: [-.085, .222, 0, { dx: .278 }],
            0x32E: [-.089, .218, 0, { dx: .238 }],
            0x32F: [-.089, .218, 0, { dx: .26 }],
            0x330: [-.102, .205, 0, { dx: .248 }],
            0x331: [-.128, .179, 0, { dx: .249 }],
            0x332: [-.06, .108, 0, { dx: .222 }],
            0x333: [-.06, .216, 0, { dx: .222 }],
            0x33F: [.754, -.598, 0, { dx: .222 }],
            0x34D: [-.074, .314, 0, { dx: .222 }],
            0x361: [.712, -.594, .277, { ic: .32 }],
            0x20D3: [.5, 0, 0],
            0x20D4: [.874, -.651, 0, { dx: .222 }],
            0x20D5: [.874, -.651, 0, { dx: .222 }],
            0x20D8: [.41, -.09, 0],
            0x20DD: [.668, .168, 0],
            0x20DE: [.65, .15, 0],
            0x20DF: [.851, .351, 0],
            0x20E4: [.698, .213, 0],
            0x20E5: [.65, .15, 0],
            0x20E6: [.65, .15, 0],
            0x20E8: [-.06, .16, 0, { dx: .222 }],
            0x20E9: [.783, -.653, 0, { dx: .222 }],
            0x20EA: [.4, -.1, 0],
            0x20EB: [.65, .15, 0],
            0x20F0: [.768, -.512, 0, { dx: .215 }],
            0x20D0: [.796, -.652, 0, { dx: .222 }],
            0x20D1: [.796, -.652, 0, { dx: .222 }],
            0x20D2: [.65, .15, 0],
            0x20D6: [.796, -.556, 0, { dx: .222 }],
            0x20D7: [.796, -.556, 0, { dx: .222 }],
            0x20DB: [.672, -.572, 0, { dx: .222 }],
            0x20DC: [.672, -.572, 0, { dx: .222 }],
            0x20E1: [.796, -.556, 0, { dx: .222 }],
            0x20EC: [-.17, .314, 0, { dx: .222 }],
            0x20ED: [-.17, .314, 0, { dx: .222 }],
            0x20EE: [-.074, .314, 0, { dx: .222 }],
            0x20EF: [-.074, .314, 0, { dx: .222 }]
        }
    },
    'ACBI': {
        'bold-italic': {
            0xB8: [.005, .218, .333],
            0x2BE: [.666, -.326, .362, { ic: .034 }],
            0x2BF: [.666, -.326, .362, { ic: .033 }],
            0x2DB: [.015, .25, .333],
            0x2DD: [.7, -.519, .333, { ic: .136 }],
            0x309: [.737, -.521, 0, { dx: .081 }],
            0x30B: [.7, -.519, 0, { dx: .164 }],
            0x30F: [.7, -.519, 0, { dx: .186 }],
            0x311: [.69, -.528, 0, { dx: .187 }],
            0x323: [-.091, .222, 0, { dx: .201 }],
            0x326: [-.07, .271, 0, { dx: .3 }],
            0x327: [.005, .218, 0, { dx: .314 }],
            0x328: [.015, .25, 0, { dx: .305 }],
            0x32C: [-.086, .227, 0, { dx: .278 }],
            0x32D: [-.086, .227, 0, { dx: .331 }],
            0x32E: [-.091, .223, 0, { dx: .293 }],
            0x32F: [-.091, .223, 0, { dx: .317 }],
            0x330: [-.097, .216, 0, { dx: .305 }],
            0x331: [-.122, .192, 0, { dx: .305 }],
            0x332: [-.06, .132, 0, { dx: .249 }],
            0x333: [-.06, .264, 0, { dx: .249 }],
            0x33F: [.812, -.608, 0, { dx: .249 }],
            0x34D: [-.098, .314, 0, { dx: .25 }],
            0x361: [.701, -.557, .277, { ic: .306 }],
            0x20D3: [.5, 0, 0],
            0x20D4: [.882, -.654, 0, { dx: .25 }],
            0x20D5: [.882, -.654, 0, { dx: .25 }],
            0x20D8: [.42, -.08, 0],
            0x20DD: [.668, .168, 0],
            0x20DE: [.65, .15, 0],
            0x20DF: [.84, .34, 0],
            0x20E4: [.705, .228, 0],
            0x20E5: [.65, .15, 0],
            0x20E6: [.65, .15, 0],
            0x20E8: [-.06, .2, 0, { dx: .25 }],
            0x20E9: [.79, -.65, 0, { dx: .25 }],
            0x20EA: [.43, -.07, 0],
            0x20EB: [.65, .15, 0],
            0x20F0: [.802, -.522, 0, { dx: .247 }],
            0x20D0: [.786, -.642, 0, { dx: .25 }],
            0x20D1: [.786, -.642, 0, { dx: .25 }],
            0x20D2: [.65, .15, 0],
            0x20D6: [.786, -.57, 0, { dx: .25 }],
            0x20D7: [.786, -.57, 0, { dx: .25 }],
            0x20DB: [.714, -.574, 0, { dx: .25 }],
            0x20DC: [.714, -.574, 0, { dx: .25 }],
            0x20E1: [.786, -.57, 0, { dx: .25 }],
            0x20EC: [-.17, .314, 0, { dx: .25 }],
            0x20ED: [-.17, .314, 0, { dx: .25 }],
            0x20EE: [-.098, .314, 0, { dx: .25 }],
            0x20EF: [-.098, .314, 0, { dx: .25 }]
        }
    }
}, 'GP'), {}, ['MJX-GP-ACB', 'MJX-GP-ACI', 'MJX-GP-ACBI']);
//# sourceMappingURL=accents-b-i.js.map