"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicFonts_js_1 = require("mathjax-full/cjs/output/chtml/DynamicFonts.js");
var chtml_js_1 = require("../../chtml.js");
var Direction_js_1 = require("mathjax-full/cjs/output/common/Direction.js");
chtml_js_1.MathJaxPagellaFont.dynamicSetup('', 'accents', (0, DynamicFonts_js_1.AddFontIds)({
    'AC': {
        'normal': {
            0xB8: [.01, .225, .333],
            0x2BE: [.68, -.338, .354],
            0x2BF: [.68, -.338, .354],
            0x2DB: [.015, .25, .313],
            0x2DD: [.683, -.502, .38, { ic: .057, sk: .022 }],
            0x309: [.721, -.54, 0, { dx: .249 }],
            0x30B: [.718, -.537, 0, { dx: .185 }],
            0x30F: [.718, -.537, 0, { dx: .315 }],
            0x311: [.706, -.577, 0, { dx: .25 }],
            0x323: [-.093, .193, 0, { dx: .25 }],
            0x326: [-.077, .271, 0, { dx: .276, sk: .045 }],
            0x327: [.01, .225, 0, { dx: .216 }],
            0x328: [.015, .25, 0, { dx: .249 }],
            0x32C: [-.06, .202, 0, { dx: .25 }],
            0x32D: [-.07, .212, 0, { dx: .25 }],
            0x32E: [-.06, .189, 0, { dx: .25 }],
            0x32F: [-.078, .207, 0, { dx: .25 }],
            0x330: [-.078, .198, 0, { dx: .25 }],
            0x331: [-.116, .169, 0, { dx: .249 }],
            0x332: [-.06, .108, 0, { dx: .249 }],
            0x333: [-.06, .216, 0, { dx: .249 }],
            0x33F: [.754, -.598, 0, { dx: .249 }],
            0x34D: [-.074, .314, 0, { dx: .25 }],
            0x361: [.712, -.594, .277, { ic: .213 }],
            0x20D3: [.5, 0, 0, { sk: -.25 }],
            0x20D4: [.862, -.639, 0, { dx: .25 }],
            0x20D5: [.862, -.639, 0, { dx: .25 }],
            0x20D8: [.41, -.09, 0, { sk: -.25 }],
            0x20DD: [.668, .168, 0],
            0x20DE: [.65, .15, 0],
            0x20DF: [.851, .351, 0],
            0x20E4: [.698, .213, 0],
            0x20E5: [.65, .15, 0, { sk: -.25 }],
            0x20E6: [.65, .15, 0, { sk: -.25 }],
            0x20E8: [-.06, .16, 0, { dx: .25 }],
            0x20E9: [.771, -.646, 0, { dx: .249 }],
            0x20EA: [.4, -.1, 0, { sk: -.25 }],
            0x20EB: [.65, .15, 0, { sk: -.25 }],
            0x20F0: [.769, -.511, 0, { dx: .244 }]
        }
    },
    '': {
        '-smallop': {
            0x311: [.72, -.564, .631],
            0x32C: [-.06, .228, .613],
            0x32D: [-.07, .238, .613],
            0x32E: [-.06, .216, .631],
            0x32F: [-.078, .234, .631],
            0x330: [-.078, .234, .608],
            0x332: [-.06, .108, .5],
            0x333: [-.06, .216, .5],
            0x33F: [.754, -.598, .5],
            0x34D: [-.074, .314, .742]
        },
        '-largeop': {
            0x311: [.721, -.564, .752],
            0x32C: [-.06, .229, .731],
            0x32D: [-.07, .239, .731],
            0x32E: [-.06, .217, .752],
            0x32F: [-.078, .235, .752],
            0x330: [-.078, .234, .727]
        },
        '-size3': {
            0x311: [.721, -.563, .897],
            0x32C: [-.06, .23, .874],
            0x32D: [-.07, .24, .874],
            0x32E: [-.06, .218, .897],
            0x32F: [-.078, .236, .897],
            0x330: [-.078, .233, .87]
        },
        '-size4': {
            0x311: [.722, -.563, 1.07],
            0x32C: [-.06, .231, 1.045],
            0x32D: [-.07, .241, 1.045],
            0x32E: [-.06, .219, 1.07],
            0x32F: [-.078, .237, 1.07],
            0x330: [-.078, .238, 1.042]
        },
        '-size5': {
            0x311: [.723, -.563, 1.279],
            0x32C: [-.06, .233, 1.251],
            0x32D: [-.07, .243, 1.251],
            0x32E: [-.06, .22, 1.279],
            0x32F: [-.078, .238, 1.279],
            0x330: [-.078, .249, 1.247]
        },
        '-size6': {
            0x311: [.724, -.563, 1.528],
            0x32C: [-.06, .234, 1.498],
            0x32D: [-.07, .244, 1.498],
            0x32E: [-.06, .221, 1.528],
            0x32F: [-.078, .239, 1.528],
            0x330: [-.078, .255, 1.496]
        },
        '-ex-md': {
            0x332: [-.06, .108, .166],
            0x333: [-.06, .216, .166],
            0x33F: [.754, -.598, .166],
            0x34D: [-.17, .218, .146]
        }
    }
}, 'GP'), {
    0x311: {
        dir: Direction_js_1.H,
        sizes: [.362, .631, .752, .897, 1.07, 1.279, 1.528]
    },
    0x32C: {
        dir: Direction_js_1.H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x32D: {
        dir: Direction_js_1.H,
        sizes: [.348, .613, .731, .874, 1.045, 1.251, 1.498]
    },
    0x32E: {
        dir: Direction_js_1.H,
        sizes: [.362, .631, .752, .897, 1.07, 1.279, 1.528]
    },
    0x32F: {
        dir: Direction_js_1.H,
        sizes: [.362, .631, .752, .897, 1.07, 1.279, 1.528]
    },
    0x330: {
        dir: Direction_js_1.H,
        sizes: [.342, .608, .727, .87, 1.042, 1.247, 1.496]
    },
    0x332: {
        dir: Direction_js_1.H,
        sizes: [.333, .5],
        stretch: [0, 0x332],
        stretchv: [0, 1],
        HDW: [-0.06, 0.108, 0],
        hd: [-.06, .108]
    },
    0x333: {
        dir: Direction_js_1.H,
        sizes: [.333, .5],
        stretch: [0, 0x333],
        stretchv: [0, 1],
        HDW: [-0.06, 0.216, 0],
        hd: [-.06, .216]
    },
    0x33F: {
        dir: Direction_js_1.H,
        sizes: [.333, .5],
        stretch: [0, 0x33F],
        stretchv: [0, 1],
        HDW: [0.754, -0.598, 0],
        hd: [.754, -.598]
    },
    0x34D: {
        dir: Direction_js_1.H,
        sizes: [.458, .742],
        stretch: [0x20EE, 0x34D, 0x20EF],
        stretchv: [2, 1, 3],
        HDW: [-0.074, 0.314, 0],
        hd: [-.17, .218]
    },
    0x20E9: {
        dir: Direction_js_1.H,
        sizes: [.367, .74, 1.113, 1.484, 1.855, 2.226, 2.593],
        schar: [0x20E9, 0x23B4],
        stretch: [0x23B4, 0x23B4, 0x23B4],
        stretchv: [2, 1, 3],
        HDW: [0.788, -0.656, 0],
        hd: [.787, -.715]
    }
}, ['MJX-GP-AC']);
//# sourceMappingURL=accents.js.map