"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DynamicFonts_js_1 = require("mathjax-full/cjs/output/chtml/DynamicFonts.js");
var chtml_js_1 = require("../../chtml.js");
chtml_js_1.MathJaxPagellaFont.dynamicSetup('', 'sans-serif', (0, DynamicFonts_js_1.AddFontIds)({
    'SS': {
        'normal': {
            0x1D5A0: [.671, 0, .617, { sk: .034 }],
            0x1D5A1: [.671, 0, .634, { sk: -.043 }],
            0x1D5A2: [.683, .013, .639, { sk: .102 }],
            0x1D5A3: [.671, 0, .709, { sk: -.08 }],
            0x1D5A4: [.671, 0, .584, { sk: .037 }],
            0x1D5A5: [.671, 0, .533, { sk: .042 }],
            0x1D5A6: [.683, .013, .71, { sk: .079 }],
            0x1D5A7: [.671, 0, .695, { sk: .029 }],
            0x1D5A8: [.671, 0, .284],
            0x1D5A9: [.671, .184, .269, { sk: .013 }],
            0x1D5AA: [.671, 0, .597, { ic: .022, sk: .06 }],
            0x1D5AB: [.671, 0, .512, { sk: -.108 }],
            0x1D5AC: [.671, 0, .795, { sk: .035 }],
            0x1D5AD: [.671, 0, .693, { sk: .028 }],
            0x1D5AE: [.683, .013, .719, { sk: .035 }],
            0x1D5AF: [.671, 0, .556, { sk: -.015 }],
            0x1D5B0: [.683, .119, .719, { sk: .035 }],
            0x1D5B1: [.671, 0, .637, { sk: -.054 }],
            0x1D5B2: [.683, .013, .583, { sk: .04 }],
            0x1D5B3: [.671, 0, .548, { ic: .004, sk: .029 }],
            0x1D5B4: [.671, .013, .675, { sk: .029 }],
            0x1D5B5: [.671, 0, .617, { sk: .034 }],
            0x1D5B6: [.671, 0, .896, { sk: .047 }],
            0x1D5B7: [.671, 0, .623, { sk: .04 }],
            0x1D5B8: [.671, 0, .548, { ic: .003, sk: .03 }],
            0x1D5B9: [.671, 0, .625, { sk: .03 }],
            0x1D5BA: [.515, .013, .566],
            0x1D5BB: [.699, .013, .585, { sk: -.157 }],
            0x1D5BC: [.515, .013, .506, { sk: .083 }],
            0x1D5BD: [.699, .013, .585, { sk: .206 }],
            0x1D5BE: [.515, .013, .564, { sk: .036 }],
            0x1D5BF: [.699, 0, .317, { ic: .019, sk: .116 }],
            0x1D5C0: [.515, .191, .585, { sk: .082 }],
            0x1D5C1: [.699, 0, .587, { sk: -.158 }],
            0x1D5C2: [.699, 0, .268],
            0x1D5C3: [.699, .191, .257, { sk: .011 }],
            0x1D5C4: [.699, 0, .53, { sk: -.129 }],
            0x1D5C5: [.699, 0, .268],
            0x1D5C6: [.515, 0, .894],
            0x1D5C7: [.515, 0, .587, { sk: -.028 }],
            0x1D5C8: [.515, .013, .561, { sk: .025 }],
            0x1D5C9: [.515, .191, .585, { sk: -.033 }],
            0x1D5CA: [.515, .191, .585, { sk: .083 }],
            0x1D5CB: [.515, 0, .379, { sk: .061 }],
            0x1D5CC: [.515, .013, .478, { sk: .048 }],
            0x1D5CD: [.646, 0, .358, { sk: -.041 }],
            0x1D5CE: [.503, .013, .587, { sk: .021 }],
            0x1D5CF: [.503, 0, .538, { sk: .027 }],
            0x1D5D0: [.503, 0, .744, { sk: .037 }],
            0x1D5D1: [.503, 0, .538, { sk: .029 }],
            0x1D5D2: [.503, .191, .538, { sk: .027 }],
            0x1D5D3: [.503, 0, .48, { sk: .029 }],
            0x1D7E2: [.683, .013, .586, { sk: .025 }],
            0x1D7E3: [.671, 0, .593, { sk: .037 }],
            0x1D7E4: [.683, 0, .59, { sk: -.013 }],
            0x1D7E5: [.683, .013, .588],
            0x1D7E6: [.671, 0, .583, { sk: .118 }],
            0x1D7E7: [.671, .013, .589],
            0x1D7E8: [.683, .013, .586, { sk: .093 }],
            0x1D7E9: [.671, 0, .589, { sk: .022 }],
            0x1D7EA: [.683, .013, .586, { sk: .025 }],
            0x1D7EB: [.683, .013, .586]
        },
        'sans-serif': {
            0x131: [.503, 0, .268],
            0x237: [.503, .191, .257]
        }
    },
    'SSB': {
        'normal': {
            0x1D5D4: [.671, 0, .697, { sk: .038 }],
            0x1D5D5: [.671, 0, .702, { sk: -.052 }],
            0x1D5D6: [.683, .013, .671, { sk: .117 }],
            0x1D5D7: [.671, 0, .761, { sk: -.095 }],
            0x1D5D8: [.671, 0, .631, { sk: .03 }],
            0x1D5D9: [.671, 0, .632, { sk: .03 }],
            0x1D5DA: [.683, .013, .75, { sk: .097 }],
            0x1D5DB: [.671, 0, .771, { sk: .034 }],
            0x1D5DC: [.671, 0, .353],
            0x1D5DD: [.671, .184, .338, { sk: .017 }],
            0x1D5DE: [.671, 0, .703, { ic: .031, sk: .056 }],
            0x1D5DF: [.671, 0, .585, { sk: -.106 }],
            0x1D5E0: [.671, 0, .914, { sk: .041 }],
            0x1D5E1: [.671, 0, .771, { sk: .034 }],
            0x1D5E2: [.683, .013, .775, { sk: .037 }],
            0x1D5E3: [.671, 0, .672, { sk: -.037 }],
            0x1D5E4: [.683, .134, .775, { sk: .037 }],
            0x1D5E5: [.671, 0, .704, { sk: -.054 }],
            0x1D5E6: [.683, .013, .662, { sk: .03 }],
            0x1D5E7: [.671, 0, .615, { sk: .034 }],
            0x1D5E8: [.671, .013, .749, { sk: .032 }],
            0x1D5E9: [.671, 0, .697, { sk: .038 }],
            0x1D5EA: [.671, 0, .999, { sk: .051 }],
            0x1D5EB: [.671, 0, .697, { sk: .036 }],
            0x1D5EC: [.671, 0, .65, { ic: .01, sk: .029 }],
            0x1D5ED: [.671, 0, .661, { sk: .033 }],
            0x1D5EE: [.515, .013, .619],
            0x1D5EF: [.699, .013, .656, { sk: -.156 }],
            0x1D5F0: [.515, .013, .544, { sk: .091 }],
            0x1D5F1: [.699, .013, .656, { sk: .216 }],
            0x1D5F2: [.515, .013, .619, { sk: .033 }],
            0x1D5F3: [.699, 0, .392, { ic: .009, sk: .129 }],
            0x1D5F4: [.514, .199, .656, { sk: .089 }],
            0x1D5F5: [.699, 0, .656, { sk: -.156 }],
            0x1D5F6: [.699, 0, .324, { sk: .01 }],
            0x1D5F7: [.699, .199, .313, { sk: .015 }],
            0x1D5F8: [.699, 0, .605, { ic: .019, sk: -.145 }],
            0x1D5F9: [.699, 0, .324, { sk: .01 }],
            0x1D5FA: [.515, 0, .953],
            0x1D5FB: [.515, 0, .656, { sk: -.024 }],
            0x1D5FC: [.515, .013, .627, { sk: .03 }],
            0x1D5FD: [.515, .191, .656, { sk: -.029 }],
            0x1D5FE: [.514, .191, .656, { sk: .088 }],
            0x1D5FF: [.515, 0, .452, { sk: .061 }],
            0x1D600: [.515, .013, .545, { sk: .041 }],
            0x1D601: [.646, 0, .434, { sk: -.029 }],
            0x1D602: [.503, .013, .656, { sk: .025 }],
            0x1D603: [.503, 0, .589, { sk: .032 }],
            0x1D604: [.503, 0, .838, { sk: .043 }],
            0x1D605: [.503, 0, .583, { sk: .032 }],
            0x1D606: [.503, .199, .589, { sk: .029 }],
            0x1D607: [.503, 0, .533, { sk: .029 }],
            0x1D7EC: [.683, .013, .635, { sk: .03 }],
            0x1D7ED: [.671, 0, .644, { sk: .05 }],
            0x1D7EE: [.683, 0, .642],
            0x1D7EF: [.683, .013, .64, { sk: -.012 }],
            0x1D7F0: [.671, 0, .634, { sk: .12 }],
            0x1D7F1: [.671, .013, .64, { sk: .02 }],
            0x1D7F2: [.682, .013, .637, { sk: .102 }],
            0x1D7F3: [.671, 0, .64, { sk: .022 }],
            0x1D7F4: [.683, .013, .638, { sk: .029 }],
            0x1D7F5: [.682, .013, .637]
        },
        'bold-sans-serif': {
            0x131: [.503, 0, .324],
            0x237: [.503, .199, .313]
        }
    },
    'SSI': {
        'normal': {
            0x1D608: [.671, 0, .617, { sk: .116 }],
            0x1D609: [.671, 0, .626, { sk: .034 }],
            0x1D60A: [.683, .013, .633, { sk: .152 }],
            0x1D60B: [.671, 0, .7, { sk: -.014 }],
            0x1D60C: [.671, 0, .571, { sk: .115 }],
            0x1D60D: [.671, 0, .519, { ic: .012, sk: .11 }],
            0x1D60E: [.683, .013, .706, { sk: .124 }],
            0x1D60F: [.671, 0, .681, { sk: .106 }],
            0x1D610: [.671, 0, .27, { sk: .084 }],
            0x1D611: [.671, .184, .251, { sk: .091 }],
            0x1D612: [.671, 0, .585, { ic: .067, sk: .103 }],
            0x1D613: [.671, 0, .51, { sk: -.037 }],
            0x1D614: [.671, 0, .781, { sk: .113 }],
            0x1D615: [.671, 0, .679, { sk: .105 }],
            0x1D616: [.683, .013, .716, { sk: .098 }],
            0x1D617: [.671, 0, .546, { sk: .054 }],
            0x1D618: [.683, .119, .716, { sk: .097 }],
            0x1D619: [.671, 0, .637],
            0x1D61A: [.683, .013, .574, { sk: .122 }],
            0x1D61B: [.671, 0, .547, { ic: .066, sk: .044 }],
            0x1D61C: [.671, .013, .665, { sk: .101 }],
            0x1D61D: [.671, 0, .618, { ic: .058, sk: .058 }],
            0x1D61E: [.671, 0, .896, { ic: .032, sk: .086 }],
            0x1D61F: [.671, 0, .61, { ic: .018, sk: .102 }],
            0x1D620: [.671, 0, .549, { ic: .066, sk: .046 }],
            0x1D621: [.671, 0, .612, { ic: .018, sk: .097 }],
            0x1D622: [.515, .013, .561, { sk: .054 }],
            0x1D623: [.699, .013, .579, { sk: -.06 }],
            0x1D624: [.515, .013, .5, { sk: .134 }],
            0x1D625: [.699, .013, .575, { ic: .005, sk: .302 }],
            0x1D626: [.515, .013, .562, { sk: .084 }],
            0x1D627: [.699, 0, .311, { ic: .126, sk: .135 }],
            0x1D628: [.515, .191, .578, { sk: .137 }],
            0x1D629: [.699, 0, .58, { sk: -.062 }],
            0x1D62A: [.699, 0, .253, { sk: .101 }],
            0x1D62B: [.699, .191, .238, { sk: .112 }],
            0x1D62C: [.699, 0, .521, { ic: .033, sk: -.057 }],
            0x1D62D: [.699, 0, .253, { sk: .102 }],
            0x1D62E: [.515, 0, .887, { sk: .043 }],
            0x1D62F: [.515, 0, .58, { sk: .025 }],
            0x1D630: [.515, .013, .559, { sk: .079 }],
            0x1D631: [.515, .191, .575, { sk: .028 }],
            0x1D632: [.515, .19, .579, { sk: .138 }],
            0x1D633: [.515, 0, .368, { ic: .052, sk: .08 }],
            0x1D634: [.515, .013, .471, { sk: .104 }],
            0x1D635: [.646, 0, .356, { ic: .031, sk: .027 }],
            0x1D636: [.503, .013, .58, { sk: .069 }],
            0x1D637: [.503, 0, .538, { ic: .013, sk: .059 }],
            0x1D638: [.503, 0, .744, { ic: .002, sk: .079 }],
            0x1D639: [.503, 0, .528, { ic: .009, sk: .079 }],
            0x1D63A: [.503, .191, .528, { ic: .012, sk: .065 }],
            0x1D63B: [.503, 0, .469, { ic: .019, sk: .08 }]
        },
        'sans-serif-italic': {
            0x131: [.503, 0, .253, { sk: .043 }],
            0x237: [.503, .191, .238, { sk: .039 }]
        }
    },
    'SSBI': {
        'normal': {
            0x1D63C: [.671, 0, .697, { sk: .106 }],
            0x1D63D: [.671, 0, .694, { sk: .023 }],
            0x1D63E: [.683, .013, .664, { sk: .159 }],
            0x1D63F: [.671, 0, .753, { sk: -.015 }],
            0x1D640: [.671, 0, .618, { sk: .108 }],
            0x1D641: [.671, 0, .618, { sk: .108 }],
            0x1D642: [.683, .013, .746, { sk: .142 }],
            0x1D643: [.671, 0, .756, { sk: .112 }],
            0x1D644: [.671, 0, .339, { sk: .087 }],
            0x1D645: [.671, .184, .32, { sk: .097 }],
            0x1D646: [.671, 0, .692, { ic: .063, sk: .107 }],
            0x1D647: [.671, 0, .582, { sk: -.034 }],
            0x1D648: [.671, 0, .9, { sk: .119 }],
            0x1D649: [.671, 0, .756, { sk: .112 }],
            0x1D64A: [.683, .013, .772, { sk: .096 }],
            0x1D64B: [.671, 0, .662, { sk: .039 }],
            0x1D64C: [.683, .134, .772, { sk: .096 }],
            0x1D64D: [.671, 0, .704],
            0x1D64E: [.683, .013, .655, { sk: .108 }],
            0x1D64F: [.671, 0, .612, { ic: .066, sk: .056 }],
            0x1D650: [.671, .013, .74, { sk: .106 }],
            0x1D651: [.671, 0, .697, { ic: .067, sk: .059 }],
            0x1D652: [.671, 0, .999, { ic: .04, sk: .096 }],
            0x1D653: [.671, 0, .684, { ic: .042, sk: .085 }],
            0x1D654: [.671, 0, .649, { ic: .085, sk: .048 }],
            0x1D655: [.671, 0, .648, { ic: .015, sk: .097 }],
            0x1D656: [.515, .013, .615, { sk: .043 }],
            0x1D657: [.699, .013, .65, { sk: -.059 }],
            0x1D658: [.515, .013, .538, { sk: .148 }],
            0x1D659: [.699, .013, .646, { ic: .009, sk: .305 }],
            0x1D65A: [.515, .013, .618, { sk: .083 }],
            0x1D65B: [.699, 0, .386, { ic: .105, sk: .154 }],
            0x1D65C: [.514, .199, .649, { sk: .143 }],
            0x1D65D: [.699, 0, .649, { sk: -.059 }],
            0x1D65E: [.699, 0, .31, { ic: .012, sk: .101 }],
            0x1D65F: [.699, .199, .294, { ic: .012, sk: .109 }],
            0x1D660: [.699, 0, .596, { ic: .051, sk: -.07 }],
            0x1D661: [.699, 0, .31, { ic: .012, sk: .102 }],
            0x1D662: [.515, 0, .946, { sk: .047 }],
            0x1D663: [.515, 0, .649, { sk: .032 }],
            0x1D664: [.515, .013, .625, { sk: .068 }],
            0x1D665: [.515, .191, .646, { sk: .025 }],
            0x1D666: [.515, .191, .65, { sk: .144 }],
            0x1D667: [.515, 0, .442, { ic: .052, sk: .081 }],
            0x1D668: [.515, .013, .54, { sk: .09 }],
            0x1D669: [.646, 0, .431, { ic: .031, sk: .033 }],
            0x1D66A: [.503, .013, .649, { sk: .082 }],
            0x1D66B: [.503, 0, .589, { ic: .027, sk: .056 }],
            0x1D66C: [.503, 0, .839, { ic: .004, sk: .085 }],
            0x1D66D: [.503, 0, .574, { ic: .026, sk: .068 }],
            0x1D66E: [.503, .199, .582, { ic: .036, sk: .059 }],
            0x1D66F: [.503, 0, .522, { ic: .004, sk: .082 }]
        },
        'sans-serif-bold-italic': {
            0x131: [.503, 0, .31, { sk: .049 }],
            0x237: [.503, .199, .294, { sk: .041 }]
        }
    }
}, 'GP'));
//# sourceMappingURL=sans-serif.js.map